//
//  ViewController.m
//  PDFViewer
//
//  Created by Markus Bröker on 27.03.17.
//  Copyright © 2017 Markus Bröker. All rights reserved.
//

#import "ViewController.h"

@implementation ViewController

@synthesize pdfViewer = _pdfViewer;

- (void)viewDidLoad {
    [super viewDidLoad];
    
    NSString *str = @"https://derinistihbarat.files.wordpress.com/2012/08/die-doktorarbeit-von-stasi-koko-chef-alexander-schalck-golodtkowski.pdf";
    
    NSURL *url = [NSURL URLWithString:str];
    
    PDFDocument *doc = [[PDFDocument alloc] initWithURL:url];
    [_pdfViewer setDocument:doc];
}

- (void)viewDidAppear {
    [_pdfViewer speak:[_pdfViewer getTexts]];
}

- (void)viewDidDisappear {
    [_pdfViewer silence];
}

- (void)setRepresentedObject:(id)representedObject {
    [super setRepresentedObject:representedObject];
}

@end
